Workload Automation

Expand all | Collapse all

Running 11.3 SP4 Agent with 11.3 SP1 Server (Workload Automation DE)

Jump to Best Answer
  • 1.  Running 11.3 SP4 Agent with 11.3 SP1 Server (Workload Automation DE)

    Posted 03-09-2017 05:35 AM

    Hi, we currently have CA Workload Automation DE 11.3 SP1 server but have the need to run an agent on Windows server 2012R2 which means we would need to use an 11.3 SP4 agent. Does anyone know if this is possible? If not does anyone know how painful the upgrade might be from SP1 to SP4 on the server. Our problem with upgrading is that our schedule is more or less 24/7 so finding a window for any upgrades is very difficult. 



  • 2.  Re: Running 11.3 SP4 Agent with 11.3 SP1 Server (Workload Automation DE)
    Best Answer

    Posted 03-09-2017 06:12 AM

    If dug further and managed to find a compatibility matrix (https://support.ca.com/phpdocs/0/7833/7833_WA_DE_Support_Matrix.pdf ) which shows that 11.3 SP1 server will work with an 11.3 SP4 agent. However, that's the limit so if I need to do anything on Windows 2016 I'll have to upgrade the server. 



  • 3.  Re: Running 11.3 SP4 Agent with 11.3 SP1 Server (Workload Automation DE)

    Posted 04-12-2017 01:31 PM

    Hi Neil,

     

    The minimum agent version supported by Windows 2012 R2 is 11.3 SP3, and not 11.3 SP4. Please refer to the agent compatibility matrix below:

     

    https://docops.ca.com/ca-workload-automation-agent/11-3/en/release-information/system-requirements-and-supported-platforms/ca-workload-automation-agent-platform-support-matrix#CAWorkloadAutomationAgentPlatformSupportMatrix-Windows

     

    The agent 11.3 SP3 is also supported by DSERIES 11.3 SP1. Please refer to DSERIES compatibility matrix below:

     

    https://support.ca.com/phpdocs/0/7833/7833_WA_DE_Support_Matrix.pdf

     

    So, based on above, you can use DSERIES 11.3 SP1 with an agent 11.3 SP3 installed in a windows 2012 R2 machine, with no problems.

     

    In addition, we highly suggest you to upgrade your DSERIES server (and Desktop clients) at least to the top of 11.3 version (11.3 SP3). This can be done applying patches.

     

    The patches are available for download at the following link:

     

    https://www.ca.com/us/services-support/ca-support/ca-support-online/product-content/recommended-reading/technical-document-index/ca-workload-automation-solutions-patches.html?intcmp=searchresultclick&resultnum=2

     

    If you have any doubts/concerns regarding DSERIES upgrade process, please open a case in CA support online. We will be glad to help you.